Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.exe
Class MilestoneInstance

    java.lang.Object
      org.jbpm.jpdl.exe.MilestoneInstance

All Implemented Interfaces:
  java.io.Serializable

    public class MilestoneInstance

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected long` | `id`
`protected java.util.Collection` | `listeners`
`protected java.lang.String` | `name`
`protected boolean` | `reached`
`protected Token` | `token`

Constructor Summary
`MilestoneInstance()`
`MilestoneInstance(java.lang.String name)`

Method Summary
`void` | `addListener(Token token)`
`long` | `getId()`
`java.util.Collection` | `getListeners()`
`static MilestoneInstance` | `getMilestoneInstance(java.lang.String milestoneName, Token token)`
`java.lang.String` | `getName()`
`Token` | `getToken()`
`boolean` | `isReached()`
`void` | `notifyListeners()`
`void` | `setId(long id)`
`void` | `setListeners(java.util.Collection listeners)`
`void` | `setName(java.lang.String name)`
`void` | `setReached(boolean reached)`
`void` | `setToken(Token token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected long id

### name

    protected java.lang.String name

### reached

    protected boolean reached

### token

    protected Token token

### listeners

    protected java.util.Collection listeners

Constructor Detail

### MilestoneInstance

    public MilestoneInstance()

### MilestoneInstance

    public MilestoneInstance(java.lang.String name)

Method Detail

### getMilestoneInstance

    public static MilestoneInstance getMilestoneInstance(java.lang.String milestoneName,
                                                         Token token)

### addListener

    public void addListener(Token token)

### notifyListeners

    public void notifyListeners()

### getId

    public long getId()

### setId

    public void setId(long id)

### getListeners

    public java.util.Collection getListeners()

### setListeners

    public void setListeners(java.util.Collection listeners)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### isReached

    public boolean isReached()

### setReached

    public void setReached(boolean reached)

### getToken

    public Token getToken()

### setToken

    public void setToken(Token token)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD